Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0054593
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2024-02-06 16:232024-02-23 07:30
ReportermalsasuaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR24Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date2023-07-10
Regression introduced in releaseRR23Q4
Regression introduced by commithttps://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/511ed74e96e4a5ecfca661f1ca4bab6f92fe97ce [^]
Triggers an Emergency PackNo
Summary

0054593: Login and sales can not be done with remote customer enabled in offline

Descriptionwith the remote customer preference enabled, it is not possible to log in to the POS.
It is related to this other mantis issue:
https://issues.openbravo.com/view.php?id=54565 [^]

But if finally, you can do the login because 54565 is fixed (removing "return" clause in the hook), when DONE button is clicked to finish the ticket, error is returned:
Operation cannot be completed. Business partner not found
Steps To ReproduceBO:
. enable remote customers preference

POS:
. go to offline
. do login -> error is returned caused by the issue
https://issues.openbravo.com/view.php?id=54565 [^]
-> force the login adding a breakpoint in "return" line and execute the callbackExecutor line
. add a product
. add a payment
. click in DONE button:
error: Operation cannot be completed. Business partner not found
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0054565 closedalainperez WEBPOS Hook is not executing callbackExecutor 
depends on backport 0054750RR24Q1.1 scheduledranjith_qualiantech_com Login and sales can not be done with remote customer enabled in offline 
depends on backport 0054751RR23Q4.3 scheduledranjith_qualiantech_com Login and sales can not be done with remote customer enabled in offline 
caused by defect 0051841 closedranjith_qualiantech_com ERROR with Chrome: 111.0.5563.64 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0160814)
hgbot (developer)
2024-02-16 04:44

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/1474 [^]
(0161022)
hgbot (developer)
2024-02-21 12:15

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/1474 [^]
(0161042)
hgbot (developer)
2024-02-21 16:27

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/666 [^]
(0161172)
hgbot (developer)
2024-02-23 07:30

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/666 [^]
(0161173)
hgbot (developer)
2024-02-23 07:30

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: 0c5d751629257a65b37200e557b32626822afe1a
Author: Ranjith S R <ranjith.rangaraju.ext@openbravo.com>
Date: 21-02-2024 19:16:31
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/0c5d751629257a65b37200e557b32626822afe1a [^]

Fixed ISSUE-54593: Force IndexedDB Search added for OB Dal get & find

---
M web/org.openbravo.mobile.core/source/data/ob-dal.js
---

- Issue History
Date Modified Username Field Change
2024-02-06 16:23 malsasua New Issue
2024-02-06 16:23 malsasua Assigned To => Retail
2024-02-06 16:23 malsasua Triggers an Emergency Pack => No
2024-02-06 16:24 malsasua Relationship added depends on 0054565
2024-02-06 16:25 Practics Issue Monitored: Practics
2024-02-13 03:43 alainperez Status new => scheduled
2024-02-13 03:45 alainperez Status scheduled => acknowledged
2024-02-15 09:33 guillermogil Assigned To Retail => alainperez
2024-02-15 16:44 alainperez Status acknowledged => scheduled
2024-02-16 04:44 hgbot Note Added: 0160814
2024-02-21 12:15 guillermogil Assigned To alainperez => ranjith_qualiantech_com
2024-02-21 12:15 hgbot Note Added: 0161022
2024-02-21 13:14 ranjith_qualiantech_com Relationship added caused by 0051041
2024-02-21 14:10 ranjith_qualiantech_com Relationship deleted caused by 0051041
2024-02-21 14:12 ranjith_qualiantech_com Relationship added related to 0051841
2024-02-21 14:53 ranjith_qualiantech_com Regression date => 2023-07-10
2024-02-21 14:53 ranjith_qualiantech_com Regression introduced in release => RR23Q4
2024-02-21 14:53 ranjith_qualiantech_com Regression introduced by commit => https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/511ed74e96e4a5ecfca661f1ca4bab6f92fe97ce [^]
2024-02-21 16:27 hgbot Note Added: 0161042
2024-02-23 07:28 ranjith_qualiantech_com Status scheduled => acknowledged
2024-02-23 07:29 ranjith_qualiantech_com Status acknowledged => scheduled
2024-02-23 07:29 ranjith_qualiantech_com Relationship deleted related to 0051841
2024-02-23 07:30 ranjith_qualiantech_com Relationship added caused by 0051841
2024-02-23 07:30 hgbot Note Added: 0161172
2024-02-23 07:30 hgbot Resolution open => fixed
2024-02-23 07:30 hgbot Status scheduled => closed
2024-02-23 07:30 hgbot Fixed in Version => RR24Q2
2024-02-23 07:30 hgbot Note Added: 0161173


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker